"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBCommand subclass:#GDBCLICommand
	instanceVariableNames:'value runOnBackground'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands'
!


!GDBCLICommand methodsFor:'accessing'!

runOnBackground
    ^ runOnBackground
!

runOnBackground:aBoolean
    runOnBackground := aBoolean.
!

value
    ^ value
!

value:aString
    value := aString.
! !

!GDBCLICommand methodsFor:'converting'!

asString
    "superclass GDBCommand says that I am responsible to implement this method"

    ^ runOnBackground == true 
        ifTrue:[self value", '&'" ]
        ifFalse:[self value ].

    "Created: / 02-06-2014 / 23:34:30 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 27-02-2015 / 13:17:02 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBCLICommand methodsFor:'testing'!

isCLICommand
    ^ true
! !

!GDBCLICommand class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

