"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_exec_jump
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_exec_jump class methodsFor:'documentation'!

documentation
"
The `-exec-jump' Command
------------------------

Synopsis
........

      -exec-jump LOCATION

   Resumes execution of the inferior program at the location specified
by parameter.  *Note Specify Location::, for a description of the
different forms of LOCATION.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `jump'.

Example
.......

     -exec-jump foo.c:10
     *running,thread-id='all'
     ^running


"
! !

!GDBMI_exec_jump methodsFor:'accessing'!

operation
	^ 'exec-jump'
! !

