"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_file_exec_file
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_file_exec_file class methodsFor:'documentation'!

documentation
"
The `-file-exec-file' Command
-----------------------------

Synopsis
........

      -file-exec-file FILE

   Specify the executable file to be debugged.  Unlike
`-file-exec-and-symbols', the symbol table is _not_ read from this
file.  If used without argument, {No value for `GDBN'} clears the
information about the executable file.  No output is produced, except a
completion notification.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `exec-file'.

Example
.......

     (gdb)
     -file-exec-file /kwikemart/marge/ezannoni/TRUNK/mbx/hello.mbx
     ^done
     (gdb)


"
! !

!GDBMI_file_exec_file methodsFor:'accessing'!

operation
	^ 'file-exec-file'
! !

