"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_file_symbol_file
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_file_symbol_file class methodsFor:'documentation'!

documentation
"
The `-file-symbol-file' Command
-------------------------------

Synopsis
........

      -file-symbol-file FILE

   Read symbol table info from the specified FILE argument.  When used
without arguments, clears {No value for `GDBN'}'s symbol table info.
No output is produced, except for a completion notification.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `symbol-file'.

Example
.......

     (gdb)
     -file-symbol-file /kwikemart/marge/ezannoni/TRUNK/mbx/hello.mbx
     ^done
     (gdb)


"
! !

!GDBMI_file_symbol_file methodsFor:'accessing'!

operation
	^ 'file-symbol-file'
! !

