"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_inferior_tty_show
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_inferior_tty_show class methodsFor:'documentation'!

documentation
"
The `-inferior-tty-show' Command
--------------------------------

Synopsis
--------

     -inferior-tty-show

   Show terminal for future runs of program being debugged.

{No value for `GDBN'} Command
-----------------------------

The corresponding {No value for `GDBN'} command is `show inferior-tty'.

Example
-------

     (gdb)
     -inferior-tty-set /dev/pts/1
     ^done
     (gdb)
     -inferior-tty-show
     ^done,inferior_tty_terminal='/dev/pts/1'
     (gdb)


"
! !

!GDBMI_inferior_tty_show methodsFor:'accessing'!

operation
	^ 'inferior-tty-show'
! !

