"{ Package: 'jv:libgdbs/tests' }"

"{ NameSpace: Smalltalk }"

GDBDebuggerTestCase subclass:#GDBDebuggerTestsS
	instanceVariableNames:'simulator'
	classVariableNames:'DefaultWaitForTimeout'
	poolDictionaries:''
	category:'GDB-Core-Tests'
!

!GDBDebuggerTestsS class methodsFor:'documentation'!

documentation
"
    Tests for GDBDebugger (using recorded and simulated GDB sessions)

    [author:]
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]

"
! !

!GDBDebuggerTestsS class methodsFor:'initialization'!

initialize
    "Invoked at system start or when the class is dynamically loaded."

    "/ please change as required (and remove this comment)

    DefaultWaitForTimeout := 100.

    "Modified: / 27-02-2015 / 11:43:41 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBDebuggerTestsS methodsFor:'running'!

tearDown
    simulator notNil ifTrue:[ simulator stop ].
    debugger notNil ifTrue:[ debugger release ].

    "Created: / 06-09-2014 / 02:17:56 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBDebuggerTestsS methodsFor:'tests - basic'!

test_basic_02
    simulator := GDBSimulatorProcess new record: GDBSimulatorResource session_factorial_01.
    simulator start.
    debugger := GDBDebugger newWithProcess: simulator.

    "Created: / 24-06-2014 / 09:09:17 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 06-09-2014 / 02:18:33 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBDebuggerTestsS class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !


GDBDebuggerTestsS initialize!
