"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBObject subclass:#GDBCommandResult
	instanceVariableNames:'command status value'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands'
!


!GDBCommandResult methodsFor:'accessing'!

command
    ^ command
!

command:something
    command := something.
!

status
    ^ status
!

status:something
    status := something.
!

value
    "Returns a command result value as GDB object or nil, if
     command result is just a set of properties. In that case,
     use #propertyAt: to query individual property values."
    ^ value

    "Modified (comment): / 19-03-2015 / 08:19:25 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBCommandResult methodsFor:'accessing-properties'!

properties
    ^ GDBObject getPropertiesOf: self.

    "Modified: / 20-06-2014 / 09:04:23 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

propertyAt: name
    ^ GDBObject getProperty: name of: self

    "Created: / 31-05-2014 / 00:00:33 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 20-06-2014 / 09:05:05 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

propertyAt: name put: val
    ^ GDBObject setProperty: name of: self to: val

    "Created: / 31-05-2014 / 00:01:10 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 20-06-2014 / 09:05:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBCommandResult class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

