"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_environment_pwd
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_environment_pwd class methodsFor:'documentation'!

documentation
"
The `-environment-pwd' Command
------------------------------

Synopsis
........

      -environment-pwd

   Show the current working directory.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `pwd'.

Example
.......

     (gdb)
     -environment-pwd
     ^done,cwd='/kwikemart/marge/ezannoni/flathead-dev/devo/gdb'
     (gdb)


"
! !

!GDBMI_environment_pwd methodsFor:'accessing'!

operation
	^ 'environment-pwd'
! !

