"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_target_file_get
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_target_file_get class methodsFor:'documentation'!

documentation
"
The `-target-file-get' Command
------------------------------

Synopsis
........

      -target-file-get TARGETFILE HOSTFILE

   Copy file TARGETFILE from the target system to HOSTFILE on the host
system.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `remote get'.

Example
.......

     (gdb)
     -target-file-get remotefile localfile
     ^done
     (gdb)


"
! !

!GDBMI_target_file_get methodsFor:'accessing'!

operation
	^ 'target-file-get'
! !

