"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBNotificationEvent subclass:#GDBThreadEvent
	instanceVariableNames:'thread id group_id'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Events'
!

!GDBThreadEvent class methodsFor:'accessing - GDB value descriptors'!

description
    ^ (super description)
        define:#id as:Integer;
        define:#'group-id' as:String;
        yourself

    "Created: / 06-09-2014 / 02:08:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBThreadEvent methodsFor:'accessing'!

thread
    ^ thread
!

threadGroup
    ^ thread threadGroup

    "Created: / 07-09-2014 / 18:07:35 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

threadGroupId
    ^ group_id

    "Created: / 07-09-2014 / 18:07:19 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

threadId
    ^ id

    "Created: / 07-09-2014 / 18:07:04 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBThreadEvent methodsFor:'initialization'!

setThread: aGDBThread
    thread := aGDBThread

    "Created: / 07-09-2014 / 15:05:24 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

